
QGIS Application - Bug report #21137

Save edits button remains grayed-out when tracing is on

2019-01-30 11:51 PM - garret w

Status: Feedback

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28955

Description

When adding a new feature, using tracing the save button remains grayed-out so you can not save edits until you opt to turn off editing.

History

#1 - 2019-01-31 09:49 AM - Giovanni Manghi

- Category changed from Editing to Digitising

- Status changed from Open to Feedback

Did it worked as expected in 2.18 or an older 3.x release?

#2 - 2019-02-13 07:36 PM - garret w

Giovanni Manghi wrote:

Did it worked as expected in 2.18 or an older 3.x release?

Sorry I do not know remember too well, the few times I used tracing on 2.18 I dont remember this being an issue.

#3 - 2019-02-13 07:49 PM - Giovanni Manghi

garret w wrote:

Giovanni Manghi wrote:

Did it worked as expected in 2.18 or an older 3.x release?

Sorry I do not know remember too well, the few times I used tracing on 2.18 I dont remember this being an issue.

if you can try/test we could possibly tag this as regression --> the issue has higher priority

#4 - 2019-02-15 06:21 PM - garret w

Giovanni Manghi wrote:
garret w wrote:

Giovanni Manghi wrote:

Did it worked as expected in 2.18 or an older 3.x release?

Sorry I do not know remember too well, the few times I used tracing on 2.18 I dont remember this being an issue.

if you can try/test we could possibly tag this as regression --> the issue has higher priority

Ok, I will test in 2.18 and report back.

#5 - 2019-03-08 10:26 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Operating System deleted (Ubuntu)

- Affected QGIS version changed from 3.4.4 to 3.6.0

#6 - 2019-03-21 11:39 PM - garret w

I have tested on Ubuntu 18, QGIS 2.18.28, and tracing works as expected.

#7 - 2019-03-22 12:07 PM - Giovanni Manghi

garret w wrote:

I have tested on Ubuntu 18, QGIS 2.18.28, and tracing works as expected.

ok but I have tried on QGIS 3.6 and the save button is not greyed out when using tracing here.

#8 - 2019-03-22 12:07 PM - Giovanni Manghi

- Status changed from Open to Feedback
